/* Process data from the DCT2000 and fill data structures accordingly.
 * 
 * Based highly on DCTTest by Don Starr
 * http://www.starrsoft.com/freeware/DCTTest.zip
 *
 * Heavily modifed by Dave Johnson <dave-dctremote@davej.org>
 */ 


#include "remote.h"

const char key_chars[NUM_KEYS] =
{
	[KEY_0]			= '0',
	[KEY_1]			= '1',
	[KEY_2]			= '2',
	[KEY_3]			= '3',
	[KEY_4]			= '4',
	[KEY_5]			= '5',
	[KEY_6]			= '6',
	[KEY_7]			= '7',
	[KEY_8]			= '8',
	[KEY_9]			= '9',
	[KEY_POWER]		= '=',
	[KEY_CHUP]		= '>',
	[KEY_CHDOWN]		= '<',
	[KEY_VOLUP]		= '-',
	[KEY_VOLDOWN]		= '+',
	[KEY_MUTE]		= 'u',
	[KEY_MUSIC]		= 'e',
	[KEY_OK]		= 'o',
	[KEY_EXIT]		= 'x',
	[KEY_LAST]		= 'l',
	[KEY_SWITCH_AB]		= '^',
	[KEY_FAVORITE]		= 'f',
	[KEY_PPV]		= 0,
	[KEY_A]			= 0,
	[KEY_P_F]		= 0,
	[KEY_MENU]		= 'm',
	[KEY_OUTPUT_CHAN]	= 0,
	[KEY_FF]		= 0,
	[KEY_REVERSE]		= 0,
	[KEY_PAUSE]		= 0,
	[KEY_BROWSE]		= 'b',
	[KEY_CANCEL]		= 'c',
	[KEY_LOCK]		= 0,
	[KEY_LIST]		= 0,
	[KEY_THEME]		= 0,
	[KEY_B]			= 0,
	[KEY_C]			= 0,
	[KEY_GUIDE]		= 'g',
	[KEY_RECORD]		= 0,
	[KEY_HELP]		= 'h',
	[KEY_INFO]		= 'i',
	[KEY_UP]		= 'w',
	[KEY_DOWN]		= 's',
	[KEY_LEFT]		= 'a',
	[KEY_RIGHT]		= 'd',
	[KEY_DAYUP]		= 0,
	[KEY_DAYDOWN]		= 0,
	[KEY_PAGEUP]		= 0,
	[KEY_PAGEDOWN]		= 0,
};


#define MAKE_KEY_NAME(name) [KEY_ ## name] = #name

const char *key_names[NUM_KEYS] =
{
	MAKE_KEY_NAME(0),
	MAKE_KEY_NAME(1),
	MAKE_KEY_NAME(2),
	MAKE_KEY_NAME(3),
	MAKE_KEY_NAME(4),
	MAKE_KEY_NAME(5),
	MAKE_KEY_NAME(6),
	MAKE_KEY_NAME(7),
	MAKE_KEY_NAME(8),
	MAKE_KEY_NAME(9),
	MAKE_KEY_NAME(POWER),
	MAKE_KEY_NAME(CHUP),
	MAKE_KEY_NAME(CHDOWN),
	MAKE_KEY_NAME(VOLUP),
	MAKE_KEY_NAME(VOLDOWN),
	MAKE_KEY_NAME(MUTE),
	MAKE_KEY_NAME(MUSIC),
	MAKE_KEY_NAME(OK),
	MAKE_KEY_NAME(EXIT),
	MAKE_KEY_NAME(LAST),
	MAKE_KEY_NAME(SWITCH_AB),
	MAKE_KEY_NAME(FAVORITE),
	MAKE_KEY_NAME(PPV),
	MAKE_KEY_NAME(A),
	MAKE_KEY_NAME(P_F),
	MAKE_KEY_NAME(MENU),
	MAKE_KEY_NAME(OUTPUT_CHAN),
	MAKE_KEY_NAME(FF),
	MAKE_KEY_NAME(REVERSE),
	MAKE_KEY_NAME(PAUSE),
	MAKE_KEY_NAME(BROWSE),
	MAKE_KEY_NAME(CANCEL),
	MAKE_KEY_NAME(LOCK),
	MAKE_KEY_NAME(LIST),
	MAKE_KEY_NAME(THEME),
	MAKE_KEY_NAME(B),
	MAKE_KEY_NAME(C),
	MAKE_KEY_NAME(GUIDE),
	MAKE_KEY_NAME(RECORD),
	MAKE_KEY_NAME(HELP),
	MAKE_KEY_NAME(INFO),
	MAKE_KEY_NAME(UP),
	MAKE_KEY_NAME(DOWN),
	MAKE_KEY_NAME(LEFT),
	MAKE_KEY_NAME(RIGHT),
	MAKE_KEY_NAME(DAYUP),
	MAKE_KEY_NAME(DAYDOWN),
	MAKE_KEY_NAME(PAGEUP),
	MAKE_KEY_NAME(PAGEDOWN),
};

