/* Process data from the DCT2000 and fill data structures accordingly.
 * 
 * Based highly on DCTTest by Don Starr
 * http://www.starrsoft.com/freeware/DCTTest.zip
 *
 * Heavily modifed by Dave Johnson <dave-dctremote@davej.org>
 */ 

#ifndef REMOTE_H
#define REMOTE_H

typedef enum
{
	KEY_0		= 0x00,
	KEY_1		= 0x01,
	KEY_2		= 0x02,
	KEY_3		= 0x03,
	KEY_4		= 0x04,
	KEY_5		= 0x05,
	KEY_6		= 0x06,
	KEY_7		= 0x07,
	KEY_8		= 0x08,
	KEY_9		= 0x09,
	KEY_POWER	= 0x0A,
	KEY_CHUP	= 0x0B,
	KEY_CHDOWN	= 0x0C,
	KEY_VOLUP	= 0x0D,
	KEY_VOLDOWN	= 0x0E,
	KEY_MUTE	= 0x0F,
	KEY_MUSIC	= 0x10,
	KEY_OK		= 0x11,
	KEY_EXIT	= 0x12,
	KEY_LAST	= 0x13,
	KEY_SWITCH_AB	= 0x14,
	KEY_FAVORITE	= 0x15,
	KEY_PPV		= 0x16,
	KEY_A		= 0x17,
	KEY_P_F		= 0x18,
	KEY_MENU	= 0x19,
	KEY_OUTPUT_CHAN	= 0x1C,
	KEY_FF		= 0x1D,
	KEY_REVERSE	= 0x1E,
	KEY_PAUSE	= 0x1F,
	KEY_BROWSE	= 0x22,
	KEY_CANCEL	= 0x23,
	KEY_LOCK	= 0x24,
	KEY_LIST	= 0x25,
	KEY_THEME	= 0x26,
	KEY_B		= 0x27,
	KEY_C		= 0x28,
	KEY_GUIDE	= 0x30,
	KEY_RECORD	= 0x31,
	KEY_HELP	= 0x32,
	KEY_INFO	= 0x33,
	KEY_UP		= 0x34,
	KEY_DOWN	= 0x35,
	KEY_LEFT	= 0x36,
	KEY_RIGHT	= 0x37,
	KEY_DAYUP	= 0x38,
	KEY_DAYDOWN	= 0x39,
	KEY_PAGEUP	= 0x3A,
	KEY_PAGEDOWN	= 0x3B,
	NUM_KEYS	= 0x40
} _eKey;

extern const char key_chars[];
extern const char *key_names[];

#endif
